"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function actionCreator(type) {
    return Object.assign(function (payload, options) {
        return {
            type: options && options.namespace ? options.namespace + "/" + type : type,
            payload: payload,
            error: options && options.error,
            meta: options && options.meta
        };
    }, {
        type: type
    });
}
exports.actionCreator = actionCreator;
function actionCreatorFactory(prefix) {
    return function (type) {
        var base = prefix ? prefix + "/" + type : type;
        return Object.assign(function (payload, options) {
            return {
                type: options && options.namespace ? options.namespace + "/" + base : base,
                payload: payload,
                error: options && options.error,
                meta: options && options.meta
            };
        }, {
            type: base,
        });
    };
}
exports.actionCreatorFactory = actionCreatorFactory;
